Subject: Re: binutils is no longer experimental
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 8 Aug 2001 20:44:40 -0400

On Thu, Aug 09, 2001 at 09:15:30AM +0800, Dmitry Timoshkov wrote:
>"Christopher Faylor" <[email-masked]> wrote:
>
>> >> I got enough reports from trustworthy people to move the binutils cygwin
>> >> release from "experimental" to "current".
>> >
>> >Hello Christopher.
>> >
>> >On 18 May 2001 I had sent the attached patch to a binutils mailing list.
>> >DJ Delorie had approved my patch, but it never was commited. I suspect
>> >that it wasn't because I had made diff against binutils-20010425-2 provided
>> >by Cygwin and that diff could not be cleanly applied to a raw binutils cvs.
>> 
>> If DJ approved the patch then he should commit it.
>> 
>> I would just ping DJ.
>
>Thanks for your answer. Could you please answer one more: why binutils
>provided by Cygwin distribution is so different from the ordinal one?
>Is it planned to do a merge?

???  It is not "so different".  There is one minor change (below) in ld.

Otherwise it is straight from binutils CVS.

cgf

2001-04-25  Christopher Faylor <[email-masked]>

	* Makefile.in (LIB_PATH): Make configurable.
	(GENSCRIPTS): Set LIB_PATH in environment.
	* configure.in: Substitute LIB_PATH.
	* configure: Regenerate.
	* configure.tgt (*cygwin): Set LIB_PATH for cross build.
	* configure.host (*cygwin): Add /usr/lib/w32api to NATIVE_LIB_DIRS.

Index: Makefile.in
===================================================================
RCS file: /cvs/src/src/ld/Makefile.in,v
retrieving revision 1.72
diff -p -r1.72 Makefile.in
*** Makefile.in	2001/07/24 10:08:32	1.72
--- Makefile.in	2001/08/09 00:40:56
*************** EMUL_EXTRA_OFILES = @EMUL_EXTRA_OFILES@
*** 135,141 ****
  # a cross-linker, in which case the default is empty.  See genscripts.sh.)
  # Otherwise, they are replaced with the ones given in LIB_PATH,
  # which may have the form: LIB_PATH=/lib:/usr/local/lib
! LIB_PATH = 
  
  BASEDIR = $(srcdir)/..
  BFDDIR = $(BASEDIR)/bfd
--- 135,141 ----
  # a cross-linker, in which case the default is empty.  See genscripts.sh.)
  # Otherwise, they are replaced with the ones given in LIB_PATH,
  # which may have the form: LIB_PATH=/lib:/usr/local/lib
! LIB_PATH = @LIB_PATH@
  
  BASEDIR = $(srcdir)/..
  BFDDIR = $(BASEDIR)/bfd
*************** POTFILES = $(CFILES) $(HFILES) $(EMULATI
*** 408,414 ****
  
  # These all start with e so 'make clean' can find them.
  
! GENSCRIPTS = $(SHELL) $(srcdir)/genscripts.sh ${srcdir} ${libdir} ${exec_prefix} @host@ @target@ @target_alias@ "@EMULATION_LIBPATH@" "@NATIVE_LIB_DIRS@"
  GEN_DEPENDS = $(srcdir)/genscripts.sh stringify.sed
  
  # We need this for automake to use YLWRAP.
--- 408,414 ----
  
  # These all start with e so 'make clean' can find them.
  
! GENSCRIPTS = LIB_PATH='${LIB_PATH}' $(SHELL) $(srcdir)/genscripts.sh ${srcdir} ${libdir} ${exec_prefix} @host@ @target@ @target_alias@ "@EMULATION_LIBPATH@" "@NATIVE_LIB_DIRS@"
  GEN_DEPENDS = $(srcdir)/genscripts.sh stringify.sed
  
  # We need this for automake to use YLWRAP.
Index: configure.host
===================================================================
RCS file: /cvs/src/src/ld/configure.host,v
retrieving revision 1.16
diff -p -r1.16 configure.host
*** configure.host	2001/06/06 12:11:23	1.16
--- configure.host	2001/08/09 00:40:57
*************** i[3456]86-pc-interix*)
*** 108,113 ****
--- 108,114 ----
  
  i[3456]86-*-cygwin*)
    HOSTING_LIBS='`if [ -f ../gcc/libgcc.a ] ; then echo ../gcc/libgcc.a ; else ${CC} -print-libgcc-file-name; fi` -lcygwin -luser32 -lkernel32 -ladvapi32 -lshell32 `if [ -f ../gcc/libgcc.a ] ; then echo ../gcc/libgcc.a ; else ${CC} -print-libgcc-file-name; fi`'
+   NATIVE_LIB_DIRS='/usr/lib /usr/lib/w32api'
    ;;
  
  ia64-*-linux-gnu*)
Index: configure.in
===================================================================
RCS file: /cvs/src/src/ld/configure.in,v
retrieving revision 1.13
diff -p -r1.13 configure.in
*** configure.in	2001/02/27 06:43:55	1.13
--- configure.in	2001/08/09 00:40:57
*************** AC_SUBST(EMUL_EXTRA_OFILES)
*** 205,210 ****
--- 205,211 ----
  
  EMULATION_LIBPATH=$all_libpath
  AC_SUBST(EMULATION_LIBPATH)
+ AC_SUBST(LIB_PATH)
  
  if test x${enable_static} = xno; then
    TESTBFDLIB="--rpath ../bfd/.libs ../bfd/.libs/libbfd.so"
Index: configure.tgt
===================================================================
RCS file: /cvs/src/src/ld/configure.tgt,v
retrieving revision 1.59
diff -p -r1.59 configure.tgt
*** configure.tgt	2001/07/14 14:45:42	1.59
--- configure.tgt	2001/08/09 00:40:57
*************** i[3456]86-*-winnt*)	targ_emul=i386pe ;
*** 176,182 ****
  i[3456]86-*-pe)		targ_emul=i386pe ;
  			targ_extra_ofiles="deffilep.o pe-dll.o" ;;
  i[3456]86-*-cygwin*)	targ_emul=i386pe ;
! 			targ_extra_ofiles="deffilep.o pe-dll.o" ;;
  i[3456]86-*-mingw32*)	targ_emul=i386pe ;
  			targ_extra_ofiles="deffilep.o pe-dll.o" ;;
  i[3456]86-*-interix*)	targ_emul=i386pe_posix;
--- 176,183 ----
  i[3456]86-*-pe)		targ_emul=i386pe ;
  			targ_extra_ofiles="deffilep.o pe-dll.o" ;;
  i[3456]86-*-cygwin*)	targ_emul=i386pe ;
! 			targ_extra_ofiles="deffilep.o pe-dll.o"
! 			[ "$targ" != "$host" ] && LIB_PATH='${tooldir}/lib/w32api' ;;
  i[3456]86-*-mingw32*)	targ_emul=i386pe ;
  			targ_extra_ofiles="deffilep.o pe-dll.o" ;;
  i[3456]86-*-interix*)	targ_emul=i386pe_posix;

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/